package mi.hdm.shoppingList;

import mi.hdm.recipes.Ingredient;

import java.util.HashMap;
import java.util.Map;

/**
 * Shopping list that the user can add ingredients to. The elements on the list can be marked as done or undone.
 */
public class ShoppingList {
    private final Map<Ingredient, Boolean> list;

    private static final ShoppingList shoppingList = new ShoppingList();

    private ShoppingList() {
        list = new HashMap<Ingredient, Boolean>();
    }

    public static ShoppingList getInstance() {
        return shoppingList;
    }

    public void clear() {}

    public void markDone(int id) {}

    public void markUndone(int id) {}

    public Map<Ingredient, Boolean> getList() {
        return list;
    }
}
